/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         TotalTextArea = 16;

      });
      //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.getSymbol("pop_1").play(1);
         sym.$("TextArea_1").show();
         sym.$("TextArea_2").show();
         sym.$("TextArea_3").show();
         sym.$("TextArea_4").show();
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("hotspot_4").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_2}", "click", function(sym, e) {
         sym.getSymbol("pop_2").play(1);
         sym.$("TextArea_5").show();
         sym.$("TextArea_6").show();
         sym.$("TextArea_7").show();
         sym.$("TextArea_8").show();
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("hotspot_4").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_3}", "click", function(sym, e) {
         sym.getSymbol("pop_3").play(1);
         sym.$("TextArea_9").show();
         sym.$("TextArea_10").show();
         sym.$("TextArea_11").show();
         sym.$("TextArea_12").show();
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("hotspot_4").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_4}", "click", function(sym, e) {
         sym.getSymbol("pop_4").play(1);
         sym.$("TextArea_13").show();
         sym.$("TextArea_14").show();
         sym.$("TextArea_15").show();
         sym.$("TextArea_16").show();
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").hide();
         sym.$("hotspot_4").hide();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'scene'
   (function(symbolName) {   
   
   })("scene");
   //Edge symbol end:'scene'

   //=========================================================
   
   //Edge symbol: 'nian'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 10000, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

   })("nian");
   //Edge symbol end:'nian'

   //=========================================================
   
   //Edge symbol: 'bichos'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.play(1);

      });
      //Edge binding end

   })("bichos");
   //Edge symbol end:'bichos'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(500);
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("TextArea_1").hide();
         sym.getComposition().getStage().$("TextArea_2").hide();
         sym.getComposition().getStage().$("TextArea_3").hide();
         sym.getComposition().getStage().$("TextArea_4").hide();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'bt_cerrar'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'c_1'
   (function(symbolName) {   
   
   })("c_1");
   //Edge symbol end:'c_1'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(500);
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("TextArea_5").hide();
         sym.getComposition().getStage().$("TextArea_6").hide();
         sym.getComposition().getStage().$("TextArea_7").hide();
         sym.getComposition().getStage().$("TextArea_8").hide();

      });
      //Edge binding end

   })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'notes'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("notes");
   //Edge symbol end:'notes'

   //=========================================================
   
   //Edge symbol: 'nino'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("nino");
   //Edge symbol end:'nino'

   //=========================================================
   
   //Edge symbol: 'c_2'
   (function(symbolName) {   
   
   })("c_2");
   //Edge symbol end:'c_2'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(500);
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("TextArea_9").hide();
         sym.getComposition().getStage().$("TextArea_10").hide();
         sym.getComposition().getStage().$("TextArea_11").hide();
         sym.getComposition().getStage().$("TextArea_12").hide();

      });
      //Edge binding end

   })("pop_3");
   //Edge symbol end:'pop_3'

   //=========================================================
   
   //Edge symbol: 'nena'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("nena");
   //Edge symbol end:'nena'

   //=========================================================
   
   //Edge symbol: 'c_3'
   (function(symbolName) {   
   
   })("c_3");
   //Edge symbol end:'c_3'

   //=========================================================
   
   //Edge symbol: 'head'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5750, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("head");
   //Edge symbol end:'head'

   //=========================================================
   
   //Edge symbol: 'pop_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.playReverse(500);
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("TextArea_13").hide();
         sym.getComposition().getStage().$("TextArea_14").hide();
         sym.getComposition().getStage().$("TextArea_15").hide();
         sym.getComposition().getStage().$("TextArea_16").hide();

      });
      //Edge binding end

   })("pop_4");
   //Edge symbol end:'pop_4'

   //=========================================================
   
   //Edge symbol: 'lagrimas'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("lagrimas");
   //Edge symbol end:'lagrimas'

   //=========================================================
   
   //Edge symbol: 'head_boy'
   (function(symbolName) {   
   
   })("head_boy");
   //Edge symbol end:'head_boy'

   //=========================================================
   
   //Edge symbol: 'boy'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("boy");
   //Edge symbol end:'boy'

   //=========================================================
   
   //Edge symbol: 'c_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("c_4");
   //Edge symbol end:'c_4'

})(jQuery, AdobeEdge, "EDGE-1010687340");